Bug 829433

Summary: When MeasurementCollectorRunner logs metric collections is falling behind it should include metric details
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: Agent, Performance, Plugin ContainerAssignee: Armine Hovsepyan <ahovsepy>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: medium    
Version: 4.4CC: flo_bugzilla, hrupp, jshaughn, loleary, mfoley
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 752210 Environment:
Last Closed: 2013-08-31 06:10:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 752210    
Bug Blocks:    
Attachments:
Description Flags
pattern generator plugin
none
agent.log none

Comment 1 Jay Shaughnessy 2012-06-06 14:00:52 EDT
Master commit 54e5a2327ed744e220aadceb9868e8a84e95b322
Add more information in debug mode to help determine what may be holding
up the agent metric collections.


test notes:
this is not very easy to test without manipulating the agent to hold up a metric collection.  a test plugin component with very slow metric reporting could help if you have that sort of thing in your bag of tricks.
Comment 2 Jay Shaughnessy 2012-08-15 12:16:05 EDT
To help test this you can now use the new "delay" property in the
pattern-generator plugin (attached).

The plugin was updated to allow for a delay when reporting metrics. This
allows the plugin to be used for "slow" collection reporting when
simulating an overloaded agent or misbehaving plugin.

For example, to see debug logging in the agent when metric collection is
falling behind try (after installing the plugin and importing the Pattern resource):

1) Update pattern2 collection interval to 40s so that the two pattern metrics
   are not collected at the same time, thus creating more load.
2) Set the new "delay" plugin config prop to 25.  So, each collection will
   take 25s, and quickly the agent will fall behind.
Comment 3 Jay Shaughnessy 2012-08-15 12:17:48 EDT
Created attachment 604640 [details]
pattern generator plugin

to help with testing
Comment 4 Armine Hovsepyan 2012-08-16 11:03:05 EDT
Created attachment 604962 [details]
agent.log

verified.

Message like attached log is being thrown in the logs.

Thanks a lot, Jay, for helping me with the case.
Comment 5 Heiko W. Rupp 2013-08-31 06:10:50 EDT
Bulk close of old bugs in VERIFIED state.